This URL retrieves all policies assigned for the device in the given domain.
Resource URL
PUT domain/<domain_id>/policyassignments/device/<device_id>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
| Device id | Number | Yes |
Payload Request Parameters:
Field Name | Description | Data Type |
|---|---|---|
| Post firewall policy | String |
| Pre-firewall policy | String |
| Reconnaissance policy | String |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Operation status | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/domain/0/policyassignments/device/1001
Payload
{
"firewallPolicyLast": "NSAT_Adv_Rules_for_Interface",
"firewallPolicyFirst": "NSAT_Adv_Rules_for_Interface
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 4301 | Invalid domain id |
2 | 400 | 1106 | Invalid Sensor id |